package de.ozgcloud.eingang.common.vorgang;

import java.time.Instant;
import java.time.LocalDate;

import org.springframework.stereotype.Component;

@Component
public class VorgangNummerSupplier {

	static final String BASE30_ALPHABET = "23456789ABCDEFGHJKMNPQRSTVWXYZ";
	static final int SUFFIX_LENGTH = 6;

	public String get() {
		var resultBuilder = initWithPrefix();
		long currentTimeSeconds = Instant.now().toEpochMilli();
		for (int i = 0; i < SUFFIX_LENGTH; i++) {
			resultBuilder.append(BASE30_ALPHABET.charAt((int) (currentTimeSeconds % 30)));
			currentTimeSeconds /= 30;
		}
		return resultBuilder.toString();
	}

	StringBuilder initWithPrefix() {
		var today = LocalDate.now();
		var lastYearNumber = today.getYear() % 10;
		var monthValue = "%02d".formatted(today.getMonthValue());
		var dayValue = "%02d".formatted(today.getDayOfMonth());
		return new StringBuilder().append(lastYearNumber).append(monthValue).append(dayValue).append("-");
	}

}
