package de.ozgcloud.eingang.common.formdata;

import static org.assertj.core.api.Assertions.*;

import java.io.File;
import java.io.IOException;

import org.junit.jupiter.api.Test;

import de.itvsh.kop.common.errorhandling.TechnicalException;

class DeleteOnCloseInputStreamTest {

	private DeleteOnCloseInputStream stream;

	@Test
	void shouldDeleteFileOnClose() throws IOException {
		File file = File.createTempFile("Test", "test");
		stream = new DeleteOnCloseInputStream(file);

		stream.close();

		assertThat(file).doesNotExist();
	}

	@Test
	void shouldThrowException() {
		var notExists = new File("notExists");

		assertThatThrownBy(() -> DeleteOnCloseInputStream.from(notExists)).isInstanceOf(TechnicalException.class);
	}
}
